#pragma once

// Fichier: Adaptateur.h
// Propos : Classe permettant l'invocation sécurisée de méthodes
//          sur l'objet distant. 
#include "IObjetDistant.h"

class Adaptateur : public IObjetDistant
{
private:
	IObjetDistant*l_objet;

	void* invoquer_par_numero(
		void* (IObjetDistant::* p_fonction)(int,void*),
		int nb_params,void*params);
public:
	Adaptateur(IObjetDistant*adr);

	

	void* hello_world(int nb_params,void*params);
	void* somme(int nb_params,void*params);
};
